Description

http://theforeman.org/projects/foreman/wiki/Parameterized_class_support claims that there is Ul for setting parameters for classes
from the host edit page:

Editing Param from within a Host

It's also possible to update a host-specific override from the host itself. So you don't have to grant access to the Puppet Classes
page to everyone. From a Host, click Edit, got to the Parameters tab, and you'll see the variable, the class-scope, and the
current value. You can then override the value for that host:

In my foreman (foreman-1.0.1-7.el6.noarch), | see entries for smart vars attached to classes (e.g. icinga::monitored ->
my_icinga_sensor) but not for parameters of parameterized classes (e.g. I've added the "foreman" class from
https://github.com/theforeman/puppet-foreman to this host, but nothing changes here).

History

#1 - 11/27/2012 07:56 AM - Ohad Levy

Did you select override for those params you are interested in overriding ?

#2-11/27/2012 08:15 AM - David Schmitt

Ah! Iff | override the parameter on the class (add a fqdn=X matcher at https://.../puppetclasses/foreman/edit) then | can edit the value on the host
page (https:/.../hosts/X/edit). From the documentation on the wiki ("It's also possible to update a host-specific override from the host itself.") | was
under the impression that | can add a fqdn=X matcher without going to the Class page.

#3 - 11/27/2012 08:28 AM - Ohad Levy

- Status changed from New to Feedback

you dont need to add it upfront, all you need is:

1. override enabled
2.fqdn in the order

#4 - 11/27/2012 08:36 AM - David Schmitt
I've now tested this with a different parameter: fqdn is in the order and I've checked the override checkbox on the Smart Class Parameter screen, but

it does not appear on the host's Parameter page.

#5 - 11/27/2012 08:42 AM - Ohad Levy

are you in the same environment?

#6 - 11/27/2012 09:18 AM - Greg Sutcliffe

Param class support isn't in 1.0.1, it's coming in 1.1. I'm not sure if smart vars should or should not be overridable, I'll have to check.

#7 - 11/27/2012 09:19 AM - Ohad Levy

05/12/2024 1/2



http://theforeman.org/projects/foreman/wiki/Parameterized_class_support
https://github.com/theforeman/puppet-foreman
https://.../puppetclasses/foreman/edit
https://.../hosts/X/edit

@Greg Sutcliffe, | think the nightly rpm is 1.0.1xxx

#8 - 11/27/2012 09:20 AM - David Schmitt

Indeed, in the environment of this host the class had no parameters at all. I've deleted and re-imported the class and now it has parameters in all
environments. Setting parameters to override now causes the parameter to be listed in the expected place on the host page and overriding in on the

host level properly creates a Matcher on the Smart Class Parameter.

Thank you for your help.

#9 - 11/27/2012 09:21 AM - Ohad Levy

- Status changed from Feedback to Resolved

#10 - 11/27/2012 09:21 AM - Ohad Levy
@David Davis, if you can't find a bug, I'm happy ;)

#11 - 11/27/2012 09:26 AM - Greg Sutcliffe
Ohad Levy wrote:

@Greg Sutcliffe, | think the nightly rpm is 1.0.1xxx

Bleah, confusing. Will take it up with Sam
